<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [setMemberTask](./bitburner.gang.setmembertask.md)

## Gang.setMemberTask() method

Set gang member to task.

**Signature:**

```typescript
setMemberTask(memberName: string, taskName: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

memberName


</td><td>

string


</td><td>

Name of Gang member to assign.


</td></tr>
<tr><td>

taskName


</td><td>

string


</td><td>

Task to assign.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the Gang Member was successfully assigned to the task, false otherwise.

## Remarks

RAM cost: 2 GB

Attempts to assign the specified Gang Member to the specified task. If an invalid task is specified, the Gang member will be set to idle (“Unassigned”).

